.hamburger {
  position: absolute;
  height: 21px;
  width: 36px;
  top: 33px;
  right: 24px;
  display: none;
  cursor: pointer;

  @include screen-max(xl) {
    display: block;
  }

  span,
  &:before,
  &:after {
    position: absolute;
    height: 2px;
    background-color: $colorGreen;
  }


  span {
    width: 30px;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
    transition: all .6s cubic-bezier(.55,0,.1,1) .6s,background-color .6s cubic-bezier(.55,0,.1,1) 0s;
  }

  &:before,
  &:after {
    content: '';
    width: 36px;
    transition: all .6s cubic-bezier(.55,0,.1,1);
  }

  &:before {
    top: 0;
  }

  &:after {
    bottom: 0;
  }

  &.open {
    z-index: $indexHamburger;
    position: fixed;

    span {
      transform: translateY(-50%) scaleX(0);
      transition-delay: 0s;
    }

    &:before {
      top: 50%;
      transform: rotate(45deg) translateX(-1px);
    }

    &:after {
      bottom: 50%;
      transform: rotate(-45deg) translateX(-1px);
    }
  }
}
